#
# spec file for package perl-Template-Alloy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Template-Alloy
Version:        1.020
Release:        1.1
%define cpan_name Template-Alloy
Summary:        TT2/3, HT, HTE, Tmpl, and Velocity Engine
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Template-Alloy/
Source:         http://www.cpan.org/authors/id/R/RH/RHANDOM/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
"An alloy is a homogeneous mixture of two or more elements"
(http://en.wikipedia.org/wiki/Alloy).

Template::Alloy represents the mixing of features and capabilities from all
of the major mini-language based template systems (support for
non-mini-language based systems will happen eventually). With
Template::Alloy you can use your favorite template interface and syntax and
get features from each of the other major template systems. And
Template::Alloy is fast - whether your using mod_perl, CGI, or running from
the commandline. There is even Template::Alloy::JS for getting a little
more speed when that is necessary.

Template::Alloy happened by accident (accidentally on purpose). The
Template::Alloy (Alloy hereafter) was originally a part of the CGI::Ex
suite that performed simple variable interpolation. It used TT2 style
variables in TT2 style tags "[% foo.bar %]". That was all the original
Template::Alloy did. This was fine and dandy for a couple of years. In
winter of 2005-2006 Alloy was revamped to add a few features. One thing led
to another and soon Alloy provided for most of the features of TT2 as well
as some from TT3. Template::Alloy now provides a full-featured
implementation of the Template::Toolkit language.

After a move to a new company that was using HTML::Template::Expr and
Text::Tmpl templates, support was investigated and interfaces for
HTML::Template, HTML::Template::Expr, Text::Tmpl, and Velocity (VTL) were
added. All of the various engines offer the same features - each using a
different syntax and interface.

More recently, the Template::Alloy::JS capabilities were introduced to
bring Javascript templates to the server side (along with an increase in
speed if ran in persistent environments).

Template::Toolkit brought the most to the table. HTML::Template brought the
LOOP directive. HTML::Template::Expr brought more vmethods and using
vmethods as top level functions. Text::Tmpl brought the COMMENT directive
and encouraged speed matching (Text::Tmpl is almost entirely C based and is
very fast). The Velocity engine brought AUTO_EVAL and
SHOW_UNDEFINED_INTERP.

Most of the standard Template::Toolkit documentation covering directives,
variables, configuration, plugins, filters, syntax, and vmethods should
apply to Alloy just fine (This pod tries to explain everything - but there
is too much). See the Template::Alloy::TT manpage for a listing of the
differences between Alloy and TT.

Most of the standard HTML::Template and HTML::Template::Expr documentation
covering methods, variables, expressions, and syntax will apply to Alloy
just fine as well.

Most of the standard Text::Tmpl documentation applies, as does the
documentation covering Velocity (VTL).

So should you use Template::Alloy ? Well, try it out. It may give you no
visible improvement. Or it could.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.020
  see /usr/share/doc/packages/perl-Template-Alloy/Changes
  1.020
    2013-09-20
  * Fix COMPILE_PERL with GLOBAL_CACHE compilation bug that was modifying the tree.
  * Fix caching bugs when GLOBAL_CACHE and COMPILE_PERL or COMPILE_JS are used in conjunction with each other.
  1.019
    2013-08-23
  * Fix comment bug on perl 5.8 or older
  * Fix many pod typos that accumulated over the years
  1.018
    2013-08-22
  * Final prep for release (1.017 never saw cpan)
  * RT #76570 - bugfix provided by onken@netcubed.de to fix encoding error or scalar ref templates.
  * RT #79641 - copy buggy behavior of Template::Toolkit in that we now allow for [%% # comment %%] all on one line (we previously supported [%%# comment %%])
  * RT #69966 - allow for node_info to be a little safer, allow DUMP to also be more safe, allow block _filename to get passed along
  * Add real json methods
  * Fix warning when calling .html on undefined
  * Fix bug in HTE with ASSOCIATE pointed out by David Warring
  1.017
    2012-02-10
  * Add necessary hooks to allow for COMPILE_JS (See Template::Alloy::JS)
  * Test suite cleanup
  * Add missing squote and dquote item vmethods
  * Fix bug in internal iterator
  1.016
    2011-01-26
  * Add AUTO_FILTER configuration item to TT and HTE flavors.
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.016
  see /usr/share/doc/packages/perl-Template-Alloy/Changes
  1.016
    2011-01-26
  * Add AUTO_FILTER configuration item to TT and HTE flavors.
* Fri Jan 21 2011 coolo@novell.com
- initial package 1.015
  * created by cpanspec 1.78.03
